API ReferenceSupport Intake

Start one managed Run for a support event

POST
/v1/support-intake/sources/{source_id}/events

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Path Parameters

source_id*string
Match^src_[A-Za-z0-9]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/support-intake/sources/string/events" \  -H "Content-Type: application/json" \  -d '{    "source_event_id": "string",    "source_thread_id": "string",    "source_timestamp": "2019-08-24T14:15:22Z",    "source_links": [      "string"    ],    "message": "string"  }'
{  "id": "string",  "source_id": "string",  "source_event_id": "string",  "source_thread_id": "string",  "outcome": "created",  "decision_reason": "string",  "ticket_id": "string",  "ticket_url": "string",  "source_links": [    "string"  ],  "run_id": "string",  "session_id": "string",  "run_status": "string",  "usage": {    "rate_card_id": "string",    "meters": [      {        "id": "string",        "quantity": 0,        "cost_usd": 0      }    ]  },  "cost_usd": 0,  "repeated": false,  "latest_processed_source_timestamp": "2019-08-24T14:15:22Z"}